#include <iostream>
#include <vector>
#include <math.h>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include <curl/curl.h>


using namespace std;

struct Input
{
    vector<double>numbers;
    size_t kol_kor{};
    size_t number_count;
};

Input
input_data(istream& in, bool promt)
{
    Input ik;

    size_t number_count;
    if (promt)
    {
        cerr<<"Marks: ";
    }
    in>>ik.number_count;


    ik.numbers.resize(ik.number_count);
    for (size_t i=0; i<ik.number_count; i++)
    {
        cerr<<"numbers["<<i<<"]=";
        in>>ik.numbers[i];
    }

    cerr<<"Kol_kor: ";
    in>>ik.kol_kor;
    return ik;
}

int main(int argc, char* argv[])
{
    if (argc > 1) {
        CURL* curl = curl_easy_init();
        if(curl) {
            CURLcode res;
            curl_easy_setopt(curl, CURLOPT_URL, argv[1]);
            res = curl_easy_perform(curl);
            if (res != 0)
            {
                cout << curl_easy_strerror(res);
                exit(1);
            }
            curl_easy_cleanup(curl);
        }

    return 0;
    }

    curl_global_init(CURL_GLOBAL_ALL);

    size_t number_count;
    auto in = input_data(cin,true);
    auto B = make_histogram(in.numbers, in.kol_kor);
    show_histogram_svg(B, in.number_count);

    return 0;
}
